#! /bin/sh
#!perl -w # --*- Perl -*--
eval 'exec perl -x $0 ${1+"$@"}'
    if 0;
#------------------------------------------------------------------------------
#$Author: saulius $
#$Date: 2007-12-22 14:07:00 +0000 (Sat, 22 Dec 2007) $ 
#$Revision: 278 $
#$URL: svn://www.crystallography.net/cod-tools/trunk/CIFParser/shtests/loop_001.sh $
#------------------------------------------------------------------------------
#*
#  Perl test driver.
#**

use strict;

use lib ".";
use lib "lib/perl5";
use lib "CIFParser";

use File::Basename;
use CIFParser;

my $script_dir  = File::Basename::dirname( $0 );
my $script_name = File::Basename::basename( $0 );

$script_name =~ s/\.sh$//;

my $filename = "${script_dir}/${script_name}.inp";

my $parser = new CIFParser;

my $data = $parser->Run($filename);

local $, = ", ";
local $\ = "\n";

for my $loop (@{$data->[0]{loops}}) {
    print @$loop;
}
